//+------------------------------------------------------------------+
//|                                           MultiMovingAverage.mq4 |
//+------------------------------------------------------------------+
#property copyright "Ron T"
#property link      "http://www.lightpatch.com"
#include <probability.mqh>
/*
   double da, db, dc;
   int ia, ib, ic;

   //Binomial distribution
   ia=50; ib=100; da=0.5;
   double y=bdtr(ia,ib,da); //bdtr(50,100,0.5)=(50;100;0.5;1)=0.539794619
   prn("Binomial distribution: bdtr("+ia+","+ib+","+da+")=",y);

   //Beta distribution
   da=3; db=7; dc=0.5;
   y=btdtr(da,db,dc); //btdtr(3,7,0.5)=(0.5;3;7)=0.91015625
   prn("Beta distribution: btdtr("+da+","+db+","+dc+")=",y);

   //Chi-square distribution
   da=10; db=5;
   y=1-chdtr(da, db); //1-chdtr(10,5)=2(5;10)=0.89117802
   prn("Chi-square distribution: chdtr("+da+","+db+")=",y);
   
   //F distribution
   ia=5; ib=10; da=0.5;
   y=1-fdtr(ia, ib, da); //1-fdtr(5,10,0.5)=F(0.5;5;10)=0.770024881
   prn("F distribution: fdtr("+ia+","+ib+","+da+")=",y);

   //Gamma distribution
   da=3; db=2; dc=1;
   y=gdtr(da, db, dc); //gdtr(3,2,1)=(3;2;1;1)=0.800851727
   prn("Gamma distribution: gdtr("+da+","+db+","+dc+")=",y);

   //Normal distribution
   da=0.5;
   y=ndtr(da); //ndtr(0.5)=(0.5)=0.691462461
   prn("Normal distribution: ndtr("+da+")=",y);

   //Poisson distribution
   ia=100; da=90;
   y=pdtr(ia, da); //pdtr(100,90)=(100;90;1)=0.865099836
   prn("Poisson distribution: pdtr("+ia+","+da+")=",y);

   //Student's t distribution
   ia=100; da=0.5;
   y=1-stdtr(ia, da); //1-stdtr(100,0.5)=(0.5;100;1)=0.309086783
   prn("Student T distribution: stdtr("+ia+","+da+")=",y);
*/
#property indicator_separate_window
#property indicator_buffers 5
#property indicator_color1 Tomato
#property indicator_color2 Aqua
#property indicator_color3 Yellow
#property indicator_color4 Lime
#property indicator_color5 Silver

//---- buffers
double VolBuffer1[];
double VolBuffer2[];
double VolBuffer3[];
double VolBuffer4[];
double VolBuffer5[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//|------------------------------------------------------------------|

int init()
  {
   IndicatorBuffers(5);
   SetIndexStyle(0,DRAW_LINE);  
   SetIndexBuffer(0, VolBuffer1);
   SetIndexLabel(0,"1-AUDUSD");      
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1, VolBuffer2);
   SetIndexLabel(1,"2-EURAUD");      
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2, VolBuffer3);
   SetIndexLabel(2,"3-EURCHF");      
   SetIndexStyle(3,DRAW_LINE);
   SetIndexBuffer(3, VolBuffer4);
   SetIndexLabel(3,"4-EURJPY");      
   SetIndexStyle(4,DRAW_LINE);
   SetIndexBuffer(4, VolBuffer5);
   SetIndexLabel(4,"5-EURJPY");      

   return(0);
  }


//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
/*  
   int i;
   
   for( i=0; i<Bars; i++ ) VolBuffer1[i]=0;

   return(0);
*/   
  }


//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {

   double curTYP=0;
   double oldTYP=0;
   double change=0;

   int pos=Bars;///4;
  
   // Print ("Start SHOW5TICKS with bars=",pos);

   while(pos>=0)
     {
      //VolBuffer1[pos]=pdtr(100, Volume[pos]);//iClose("AUDUSD",0,pos)*2.1;//Tomato
      VolBuffer2[pos]=pdtrc(100, Volume[pos]);//iClose("EURAUD",0,pos);//Aqua
      //VolBuffer3[pos]=pdtri(100, Volume[pos]);//iClose("EURCHF",0,pos)*0.81;//Close[pos];
      //VolBuffer4[pos]=iClose("EURJPY",0,pos)/115;//Close[pos];
      //VolBuffer5[pos]=iClose("GOLD",0,pos)/470;//Close[pos];

 	   pos--;
     }
 /*    
   int i;
   
   for( i=0; i<Bars; i++ ) VolBuffer1[i]=1;
*/   
   
   return(0);
  }
//+------------------------------------------------------------------+